import csv
import numpy as np
import matplotlib.pyplot as plt
from copy import deepcopy

# načtení hodnot volná metoda
volna_metoda_katalog_pn6 = ['volna_metoda_katal_pn6.csv']
volna_metoda_katalog_pn10 = ['volna_metoda_katal_pn10.csv']
volna_metoda_katalog_pn16 = ['volna_metoda_katal_pn16.csv']
volna_metoda_katalog_pn25 = ['volna_metoda_katal_pn25.csv']
volna_metoda_katalog_pn40 = ['volna_metoda_katal_pn40.csv']
volna_metoda_katalog_pn63 = ['volna_metoda_katal_pn63.csv']
volna_metoda_katalog_pn100 = ['volna_metoda_katal_pn100.csv']
volna_metoda_katalog_pn160 = ['volna_metoda_katal_pn160.csv']
# načtení hodnot integrální metoda
integralni_metoda_katalog_pn6 = ['integralni_metoda_katal_pn6.csv']
integralni_metoda_katalog_pn10 = ['integralni_metoda_katal_pn10.csv']
integralni_metoda_katalog_pn16 = ['integralni_metoda_katal_pn16.csv']
integralni_metoda_katalog_pn25 = ['integralni_metoda_katal_pn25.csv']
integralni_metoda_katalog_pn40 = ['integralni_metoda_katal_pn40.csv']
integralni_metoda_katalog_pn63 = ['integralni_metoda_katal_pn63.csv']
integralni_metoda_katalog_pn100 = ['integralni_metoda_katal_pn100.csv']
integralni_metoda_katalog_pn160 = ['integralni_metoda_katal_pn160.csv']

# otevření volná metoda
with open(volna_metoda_katalog_pn6[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn6 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn6 += 1

with open(volna_metoda_katalog_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn10 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn10 += 1

with open(volna_metoda_katalog_pn16[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn16 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn16 += 1

with open(volna_metoda_katalog_pn25[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn25 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn25 += 1

with open(volna_metoda_katalog_pn40[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn40 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn40 += 1

with open(volna_metoda_katalog_pn63[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn63 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn63 += 1

with open(volna_metoda_katalog_pn100[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn100 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn100 += 1

with open(volna_metoda_katalog_pn160[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn160 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn160 += 1
# otevření integrálníá metoda
with open(integralni_metoda_katalog_pn6[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn6 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn6 += 1

with open(integralni_metoda_katalog_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn10 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn10 += 1

with open(integralni_metoda_katalog_pn16[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn16 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn16 += 1

with open(integralni_metoda_katalog_pn25[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn25 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn25 += 1

with open(integralni_metoda_katalog_pn40[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn40 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn40 += 1

with open(integralni_metoda_katalog_pn63[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn63 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn63 += 1

with open(integralni_metoda_katalog_pn100[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn100 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn100 += 1

with open(integralni_metoda_katalog_pn160[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_katal_pn160 = 0
    for radky in cteni_radku:
        pocet_radku_katal_pn160 += 1


# otevření volná metoda
with open(volna_metoda_katalog_pn6[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(volna_metoda_katalog_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(volna_metoda_katalog_pn16[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(volna_metoda_katalog_pn25[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]    

with open(volna_metoda_katalog_pn40[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(volna_metoda_katalog_pn63[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(volna_metoda_katalog_pn100[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(volna_metoda_katalog_pn160[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]
# otevření inegrální metoda
with open(integralni_metoda_katalog_pn6[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(integralni_metoda_katalog_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(integralni_metoda_katalog_pn16[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(integralni_metoda_katalog_pn25[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]    

with open(integralni_metoda_katalog_pn40[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(integralni_metoda_katalog_pn63[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(integralni_metoda_katalog_pn100[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]

with open(integralni_metoda_katalog_pn160[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych = _cteni_radku[0]
    nazvy_jednotek = _cteni_radku[1]


# název os
nazev_osy_x = 'B'
nazev_osy_y = 'sigmaTHETA_provoz'

sloupec_promenna_x = 0
for promenne in nazvy_promennych:
    if promenne == nazev_osy_x:
        break
    else:
        sloupec_promenna_x += 1

sloupec_promenna_y = 0
for promenne in nazvy_promennych:
    if promenne == nazev_osy_y:
        break
    else:
        sloupec_promenna_y += 1

# vkládání hodnot volná metoda
hodnoty_x_volna_katal_pn6 = []
hodnoty_y_volna_katal_pn6 = []
with open(volna_metoda_katalog_pn6[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn6.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn6.append(radky[sloupec_promenna_y])
        
hodnoty_x_volna_katal_pn10 = []
hodnoty_y_volna_katal_pn10 = []
with open(volna_metoda_katalog_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn10.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn10.append(radky[sloupec_promenna_y])

hodnoty_x_volna_katal_pn16 = []
hodnoty_y_volna_katal_pn16 = []
with open(volna_metoda_katalog_pn16[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn16.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn16.append(radky[sloupec_promenna_y])

hodnoty_x_volna_katal_pn25 = []
hodnoty_y_volna_katal_pn25 = []
with open(volna_metoda_katalog_pn25[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn25.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn25.append(radky[sloupec_promenna_y])

hodnoty_x_volna_katal_pn40 = []
hodnoty_y_volna_katal_pn40 = []
with open(volna_metoda_katalog_pn40[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn40.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn40.append(radky[sloupec_promenna_y])

hodnoty_x_volna_katal_pn63 = []
hodnoty_y_volna_katal_pn63 = []
with open(volna_metoda_katalog_pn63[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn63.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn63.append(radky[sloupec_promenna_y])

hodnoty_x_volna_katal_pn100 = []
hodnoty_y_volna_katal_pn100 = []
with open(volna_metoda_katalog_pn100[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn100.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn100.append(radky[sloupec_promenna_y])

hodnoty_x_volna_katal_pn160 = []
hodnoty_y_volna_katal_pn160 = []
with open(volna_metoda_katalog_pn160[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_volna_katal_pn160.append(radky[sloupec_promenna_x])
        hodnoty_y_volna_katal_pn160.append(radky[sloupec_promenna_y])
# vkládání hodnot integrální metoda
hodnoty_x_integ_katal_pn6 = []
hodnoty_y_integ_katal_pn6 = []
with open(integralni_metoda_katalog_pn6[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn6.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn6.append(radky[sloupec_promenna_y])
        
hodnoty_x_integ_katal_pn10 = []
hodnoty_y_integ_katal_pn10 = []
with open(integralni_metoda_katalog_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn10.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn10.append(radky[sloupec_promenna_y])

hodnoty_x_integ_katal_pn16 = []
hodnoty_y_integ_katal_pn16 = []
with open(integralni_metoda_katalog_pn16[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn16.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn16.append(radky[sloupec_promenna_y])

hodnoty_x_integ_katal_pn25 = []
hodnoty_y_integ_katal_pn25 = []
with open(integralni_metoda_katalog_pn25[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn25.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn25.append(radky[sloupec_promenna_y])

hodnoty_x_integ_katal_pn40 = []
hodnoty_y_integ_katal_pn40 = []
with open(integralni_metoda_katalog_pn40[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn40.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn40.append(radky[sloupec_promenna_y])

hodnoty_x_integ_katal_pn63 = []
hodnoty_y_integ_katal_pn63 = []
with open(integralni_metoda_katalog_pn63[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn63.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn63.append(radky[sloupec_promenna_y])

hodnoty_x_integ_katal_pn100 = []
hodnoty_y_integ_katal_pn100 = []
with open(integralni_metoda_katalog_pn100[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn100.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn100.append(radky[sloupec_promenna_y])

hodnoty_x_integ_katal_pn160 = []
hodnoty_y_integ_katal_pn160 = []
with open(integralni_metoda_katalog_pn160[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        hodnoty_x_integ_katal_pn160.append(radky[sloupec_promenna_x])
        hodnoty_y_integ_katal_pn160.append(radky[sloupec_promenna_y])


##x = map(float, hodnoty_x_katal_pn6[2:-1]) # vytvoreni rady pro osu x + prevod seznamu s typem string na float
##y = map(float, hodnoty_y_katal_pn6[2:-1]) # vytvoreni rady pro osu y + prevod seznamu s typem string na float
##fit_pn6 = np.polyfit(x,y,1) # vytvoreni fitu
##fit_fn_pn6 = np.poly1d(fit_pn6) # vytvoreni regrese

##x = map(float, hodnoty_x_katal_pn10[2:-1]) # vytvoreni rady pro osu x + prevod seznamu s typem string na float
##y = map(float, hodnoty_y_katal_pn10[2:-1]) # vytvoreni rady pro osu y + prevod seznamu s typem string na float
##fit_pn10 = np.polyfit(x,y,1) # vytvoreni fitu
##fit_fn_pn10 = np.poly1d(fit_pn10) # vytvoreni regrese

##x = map(float, hodnoty_x_katal_pn16[2:-1]) # vytvoreni rady pro osu x + prevod seznamu s typem string na float
##y = map(float, hodnoty_y_katal_pn16[2:-1]) # vytvoreni rady pro osu y + prevod seznamu s typem string na float
##fit_pn16 = np.polyfit(x,y,1) # vytvoreni fitu
##fit_fn_pn16 = np.poly1d(fit_pn16) # vytvoreni regrese
        
fig, ax = plt.subplots()
ax.plot(hodnoty_x_volna_katal_pn6[2:-1], hodnoty_y_volna_katal_pn6[2:-1], '--b')
##ax.plot(x,y, 'yo', x, fit_fn_pn6(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn10[2:-1], hodnoty_y_volna_katal_pn10[2:-1], '--r')
##ax.plot(x,y, 'yo', x, fit_fn_pn10(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn16[2:-1], hodnoty_y_volna_katal_pn16[2:-1], '--g')
##ax.plot(x,y, 'yo', x, fit_fn_pn16(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn25[2:-1], hodnoty_y_volna_katal_pn25[2:-1], '--m')
##ax.plot(x,y, 'yo', x, fit_fn_pn25(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn40[2:-1], hodnoty_y_volna_katal_pn40[2:-1], '--y')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn63[2:-1], hodnoty_y_volna_katal_pn63[2:-1], '--c')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn100[2:-1], hodnoty_y_volna_katal_pn100[2:-1], '--k')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')
ax.plot(hodnoty_x_volna_katal_pn160[2:-1], hodnoty_y_volna_katal_pn160[2:-1], '--',color='brown')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')


ax.plot(hodnoty_x_integ_katal_pn6[2:-1], hodnoty_y_integ_katal_pn6[2:-1], ':b')
##ax.plot(x,y, 'yo', x, fit_fn_pn6(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn10[2:-1], hodnoty_y_integ_katal_pn10[2:-1], ':r')
##ax.plot(x,y, 'yo', x, fit_fn_pn10(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn16[2:-1], hodnoty_y_integ_katal_pn16[2:-1], ':g')
##ax.plot(x,y, 'yo', x, fit_fn_pn16(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn25[2:-1], hodnoty_y_integ_katal_pn25[2:-1], ':m')
##ax.plot(x,y, 'yo', x, fit_fn_pn25(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn40[2:-1], hodnoty_y_integ_katal_pn40[2:-1], ':y')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn63[2:-1], hodnoty_y_integ_katal_pn63[2:-1], ':c')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn100[2:-1], hodnoty_y_integ_katal_pn100[2:-1], ':k')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')
ax.plot(hodnoty_x_integ_katal_pn160[2:-1], hodnoty_y_integ_katal_pn160[2:-1], ':',color='brown')
##ax.plot(x,y, 'yo', x, fit_fn_pn40(x), '-k')

# tvorba grafu volná metoda
plt.xlabel(hodnoty_x_volna_katal_pn10[0]+' ['+(hodnoty_x_volna_katal_pn10[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn10[0]+' ['+(hodnoty_y_volna_katal_pn10[1])+']')

plt.xlabel(hodnoty_x_volna_katal_pn16[0]+' ['+(hodnoty_x_volna_katal_pn16[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn16[0]+' ['+(hodnoty_y_volna_katal_pn16[1])+']')

plt.xlabel(hodnoty_x_volna_katal_pn25[0]+' ['+(hodnoty_x_volna_katal_pn25[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn25[0]+' ['+(hodnoty_y_volna_katal_pn25[1])+']')

plt.xlabel(hodnoty_x_volna_katal_pn40[0]+' ['+(hodnoty_x_volna_katal_pn40[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn40[0]+' ['+(hodnoty_y_volna_katal_pn40[1])+']')

plt.xlabel(hodnoty_x_volna_katal_pn63[0]+' ['+(hodnoty_x_volna_katal_pn63[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn63[0]+' ['+(hodnoty_y_volna_katal_pn63[1])+']')

plt.xlabel(hodnoty_x_volna_katal_pn100[0]+' ['+(hodnoty_x_volna_katal_pn100[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn100[0]+' ['+(hodnoty_y_volna_katal_pn100[1])+']')


plt.xlabel(hodnoty_x_volna_katal_pn160[0]+' ['+(hodnoty_x_volna_katal_pn160[1])+']')
plt.ylabel(hodnoty_y_volna_katal_pn160[0]+' ['+(hodnoty_y_volna_katal_pn160[1])+']')

plt.xlabel(hodnoty_x_volna_katal_pn6[0]+' [mm]')
plt.ylabel(hodnoty_y_volna_katal_pn6[0]+' [MPa]')
# tvorba grafu integrální metoda
plt.xlabel(hodnoty_x_integ_katal_pn10[0]+' ['+(hodnoty_x_integ_katal_pn10[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn10[0]+' ['+(hodnoty_y_integ_katal_pn10[1])+']')

plt.xlabel(hodnoty_x_integ_katal_pn16[0]+' ['+(hodnoty_x_integ_katal_pn16[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn16[0]+' ['+(hodnoty_y_integ_katal_pn16[1])+']')

plt.xlabel(hodnoty_x_integ_katal_pn25[0]+' ['+(hodnoty_x_integ_katal_pn25[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn25[0]+' ['+(hodnoty_y_integ_katal_pn25[1])+']')

plt.xlabel(hodnoty_x_integ_katal_pn40[0]+' ['+(hodnoty_x_integ_katal_pn40[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn40[0]+' ['+(hodnoty_y_integ_katal_pn40[1])+']')

plt.xlabel(hodnoty_x_integ_katal_pn63[0]+' ['+(hodnoty_x_integ_katal_pn63[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn63[0]+' ['+(hodnoty_y_integ_katal_pn63[1])+']')

plt.xlabel(hodnoty_x_integ_katal_pn100[0]+' ['+(hodnoty_x_integ_katal_pn100[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn100[0]+' ['+(hodnoty_y_integ_katal_pn100[1])+']')


plt.xlabel(hodnoty_x_integ_katal_pn160[0]+' ['+(hodnoty_x_integ_katal_pn160[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn160[0]+' ['+(hodnoty_y_integ_katal_pn160[1])+']')

plt.xlabel(hodnoty_x_integ_katal_pn6[0]+' ['+(hodnoty_x_integ_katal_pn6[1])+']')
plt.ylabel(hodnoty_y_integ_katal_pn6[0]+' ['+(hodnoty_y_integ_katal_pn6[1])+']')


# popis grafu atd.
plt.title('Zavislost '+nazev_osy_x+' na '+nazev_osy_y)
plt.legend(('PN6', 'PN10','PN16','PN25','PN40','PN63','PN100','PN160','PN6', 'PN10','PN16','PN25','PN40','PN63','PN100','PN160',),loc='upper left', shadow=True)
plt.savefig('zavislost_'+nazev_osy_x+'_na_'+nazev_osy_y+'.png',dpi=300)
plt.show()
